SHUTDOWN(2)

NAME
shutdown - shuts down a socket for reading, writing, or both

SYNOPSIS
#include <sys/socket.h>
int shutdown(int sd, int how);

DESCRIPTION
shutdown() shuts down the socket sd for reading, writing, or both reading and writing by setting how to SHUT_RD, SHUT_WR, or SHUT_RDWR.

RETURN VALUES
On success, this function returns 0. On error, -1 is returned and errno is set.

ERRORS

[EINVAL]
    how must be SHUT_RD, SHUT_WR, or SHUT_RDWR.

[ENOTCONN]
    sd must be a connected socket.

[ENOSYS]
    attempted to shutdown the read side of a TCP socket, or the type of socket is not supported.

SEE ALSO
socket(2), socketpair(2)